I need to upgrade my PHP from 2.6 to 5.3 but I get lots of errors:

How can I fix this problem? Thanks in advance :)

Code:

[root@server1 ~]# yum --enablerepo=webtatic update php
Loaded plugins: fastestmirror, protectbase
Loading mirror speeds from cached hostfile
* extras: mirrors.tummy.com
* base: mirror.raystedman.net
* atomic: www5.atomicorp.com
* updates: centos.mirror.lstn.net
0 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package php.i386 0:5.3.10-5.el5.art set to be updated
--> Processing Dependency: php-cli = 5.3.10-5.el5.art for package: php
--> Processing Dependency: php-common = 5.3.10-5.el5.art for package: php
--> Processing Dependency: libedit.so.0 for package: php
--> Processing Dependency: php = 5.2.6-5 for package: php-devel
--> Running transaction check
---> Package php-devel.i386 0:5.3.10-5.el5.art set to be updated
---> Package php-cli.i386 0:5.3.10-5.el5.art set to be updated
--> Processing Dependency: php-common = 5.2.6-5 for package: php-mysql
--> Processing Dependency: php-common = 5.2.6-5 for package: php-pdo
--> Processing Dependency: php-common = 5.2.6-5 for package: php-imap
--> Processing Dependency: php-common = 5.2.6-5 for package: php-mcrypt
--> Processing Dependency: php-common = 5.2.6-5 for package: php-gd
--> Processing Dependency: php-common = 5.2.6-5 for package: php-xml
---> Package libedit.i386 0:3.0-2.20090923cvs.el5.art set to be updated
---> Package php-common.i386 0:5.3.10-5.el5.art set to be updated
--> Running transaction check
---> Package php-mcrypt.i386 0:5.3.10-5.el5.art set to be updated
---> Package php-pdo.i386 0:5.3.10-5.el5.art set to be updated
---> Package php-mysql.i386 0:5.3.10-5.el5.art set to be updated
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18) for package: php-mysql
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16) for package: php-mysql
--> Processing Dependency: libmysqlclient.so.18 for package: php-mysql
---> Package php-gd.i386 0:5.3.10-5.el5.art set to be updated
---> Package php-imap.i386 0:5.3.10-5.el5.art set to be updated
---> Package php-xml.i386 0:5.3.10-5.el5.art set to be updated
--> Running transaction check
---> Package mysql-libs.i386 0:5.5.22-4.el5.art set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ==============================
Package Arch Version Repository Size
================================================== ==============================
Updating:
php i386 5.3.10-5.el5.art atomic 2.7 M
php-cli i386 5.3.10-5.el5.art atomic 2.6 M
php-common i386 5.3.10-5.el5.art atomic 992 k
php-devel i386 5.3.10-5.el5.art atomic 1.3 M
php-gd i386 5.3.10-5.el5.art atomic 205 k
php-imap i386 5.3.10-5.el5.art atomic 83 k
php-mcrypt i386 5.3.10-5.el5.art atomic 45 k
php-mysql i386 5.3.10-5.el5.art atomic 89 k
php-pdo i386 5.3.10-5.el5.art atomic 114 k
php-xml i386 5.3.10-5.el5.art atomic 209 k
Installing for dependencies:
libedit i386 3.0-2.20090923cvs.el5.art atomic 80 k
mysql-libs i386 5.5.22-4.el5.art atomic 1.1 M

Transaction Summary
================================================== ==============================
Install 2 Package(s)
Update 10 Package(s)
Remove 0 Package(s)

Total size: 9.5 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /etc/my.cnf from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/charsets/Index.xml from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/charsets/README from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/charsets/ascii.xml from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/charsets/cp1250.xml from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/charsets/cp1251.xml from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/czech/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/danish/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/dutch/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/english/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/estonian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/french/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/german/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/greek/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/italian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/japanese/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/korean/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/polish/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/romanian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/russian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/serbian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/slovak/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/spanish/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/swedish/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5
file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-libs-5.5.22-4.el5.art conflicts with file from package mysql-5.0.45-7.el5

Error Summary
-------------

[root@server1 ~]#





http://forums.masr.me